
/*
 * $Revision: 1.1 $
 */

#include "timer.h"
#include <iolpc2114.h>

static volatile int ms_ctr = 0;


void TimerBeat(void)
{
  // Called at 1000 Hz rate.
  ms_ctr++; // Sleep counter.
}


void Sleep(int milliseconds)
{
  ms_ctr = 0;
  while (ms_ctr < milliseconds) 
  if (T0IR&1)
  {
    ms_ctr++;
    T0IR = 0xff; // Clear timer 0 interrupt line.
  }
}
